WebSphereJMSTopic (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.websphere.WebSphereJMSTopic interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.websphere
Interface WebSphereJMSTopic

All Superinterfaces:
  ConfigurationItem, J2EEResource, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SoftwareResource, WebSphereJ2EEResource, WebSphereJMSDestination

    public interface WebSphereJMSTopic

extends WebSphereJMSDestination

Represents a WebSphere JMS Topic (Publish/Subscribe messaging).

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.j2ee.websphere.WebSphereJ2EEResource
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getTopic()`
`boolean` | `hasTopic()`
`void` | `setTopic(java.lang.String topic)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.websphere.WebSphereJMSDestination
`getCategory, getExpiry, getJNDIName, getMessagePriority, getPersistence, getProvider, getResourceProperties, getSpecifiedExpiry, getSpecifiedPriority, hasCategory, hasExpiry, hasJNDIName, hasMessagePriority, hasPersistence, hasProvider, hasResourceProperties, hasSpecifiedExpiry, hasSpecifiedPriority, setCategory, setExpiry, setJNDIName, setMessagePriority, setPersistence, setProvider, setResourceProperties, setSpecifiedExpiry, setSpecifiedPriority`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.websphere.WebSphereJ2EEResource
`getNode, hasNode, setNode`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEResource
`getDomain, getServer, hasDomain, hasServer, setDomain, setServer`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareResource
`getName, getParent, hasName, hasParent, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getTopic

    java.lang.String getTopic()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTopic

    void setTopic(java.lang.String topic)

### hasTopic

    boolean hasTopic()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD